version: '3.8'

services:
  {{ cookiecutter.project_name }}:
    image: {{ cookiecutter.project_name }}:latest
    build:
      context: .
      dockerfile: ./docker/Dockerfile.local
    environment:
      - DEBUG=True
      - DATABASE_URL=postgres://postgres:postgres@{{ cookiecutter.project_name }}-db/postgres
    volumes:
      - .:/proj
    command: python -m project.app --debug
    stdin_open: true
    tty: true
    ports:
      - "8000:8000"
  {{ cookiecutter.project_name }}-db:
    image: postgres:10.11-alpine
    volumes:
      - postgres_data:/var/lib/{{ cookiecutter.project_name }}/data/

volumes:
  postgres_data:
